---
title: "Update owner"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`PATCH /v2/entities/{id}/owners/{ownerId}`

## Path parameters

- `id` (`entity-update-owner.path.id`; string, required)
  - format `uuid`
- `ownerId` (`entity-update-owner.path.ownerId`; string, required)
  - format `uuid`

## Request body

- `ownerName` (`entity-update-owner.ownerName`; string, optional)
  - minLength 1
- `ownershipPercentage` (`entity-update-owner.ownershipPercentage`; any of, optional, nullable)
  - any of: `number`, `string`
- `ownerType` (`entity-update-owner.ownerType`; string, optional)
  - one of `"individual"`, `"company"`, `"other"`
- `position` (`entity-update-owner.position`; string, optional, nullable)

## Example request

```json
{
  "ownerName": "string",
  "ownershipPercentage": 100,
  "ownerType": "individual",
  "position": "string"
}
```

## Code samples

### cURL

```bash
curl --request PATCH \
  --url 'https://api.sureshake.com/v2/entities/<id>/owners/<ownerId>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ownerName": "string",
  "ownershipPercentage": 100,
  "ownerType": "individual",
  "position": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/owners/<ownerId>';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    ownerName: 'string',
    ownershipPercentage: 100,
    ownerType: 'individual',
    position: 'string'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/owners/<ownerId>"

payload = {
    "ownerName": "string",
    "ownershipPercentage": 100,
    "ownerType": "individual",
    "position": "string"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "ownerName": "string",
  "ownershipPercentage": 100,
  "ownerType": "individual",
  "position": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

- `ownerName` (`entity-update-owner.response.200.ownerName`; string, required)
  - minLength 1
- `ownerType` (`entity-update-owner.response.200.ownerType`; string, required)
  - one of `"individual"`, `"company"`, `"other"`
- `id` (`entity-update-owner.response.200.id`; string, required)
  - format `uuid`
- `entityId` (`entity-update-owner.response.200.entityId`; string, required)
  - format `uuid`
- `ownershipPercentage` (`entity-update-owner.response.200.ownershipPercentage`; any of, optional, nullable)
  - any of: `number`, `string`
- `position` (`entity-update-owner.response.200.position`; string, optional, nullable)
- `createdAt` (`entity-update-owner.response.200.createdAt`; string, optional)
  - format `date-time`
- `updatedAt` (`entity-update-owner.response.200.updatedAt`; string, optional)
  - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-owner.response.400.error`; object, required)
  - `code` (`entity-update-owner.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-owner.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-owner.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-owner.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-owner.response.401.error`; object, required)
  - `code` (`entity-update-owner.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-owner.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-owner.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-owner.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-owner.response.403.error`; object, required)
  - `code` (`entity-update-owner.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-owner.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-owner.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-owner.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-owner.response.404.error`; object, required)
  - `code` (`entity-update-owner.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-owner.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-owner.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-owner.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-owner.response.409.error`; object, required)
  - `code` (`entity-update-owner.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-owner.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-owner.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-owner.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-owner.response.422.error`; object, required)
  - `code` (`entity-update-owner.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-owner.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-owner.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-owner.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-owner.response.429.error`; object, required)
  - `code` (`entity-update-owner.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-owner.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-owner.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-owner.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-owner.response.500.error`; object, required)
  - `code` (`entity-update-owner.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-owner.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-owner.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-owner.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-owner.response.503.error`; object, required)
  - `code` (`entity-update-owner.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-owner.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-owner.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-owner.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-update-owner/index.md
